Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366276 - katello-agent for Capsule and Self-Registered Satellite
Summary: katello-agent for Capsule and Self-Registered Satellite
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs Install Guide
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.2
Assignee: Stephen Wadeley
QA Contact: Allison Heslin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-11 13:32 UTC by Stephen Wadeley
Modified: 2018-12-06 20:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-22 14:03:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1364376 None None None Never

Description Stephen Wadeley 2016-08-11 13:32:22 UTC
Document URL: 

https://access.redhat.com/documentation/en/red-hat-satellite/6.2/paged/installation-guide/chapter-4-installing-capsule-server

https://access.redhat.com/documentation/en/red-hat-satellite/6.2/paged/installation-guide/chapter-6-upgrading-satellite-server-and-capsule-server#upgrading_to_disconnected_satellite_server_version_6_2

https://access.redhat.com/documentation/en/red-hat-satellite/6.2/paged/installation-guide/chapter-6-upgrading-satellite-server-and-capsule-server#upgrading_capsule_server

Section Number and Name: 

Describe the issue: 

Mike McCune said:

for self-registered Satellite installs you should have the katello-agent installed. Same applies to the Satellite Capsules, installing the katello-agent is recommended to allow remote updates of both the Satellite and Capsule

Suggestions for improvement: 

add that info to the sections for installing and upgrading Capsule and Self-Registered Satellite.

Comment 1 Andrew Dahms 2016-08-12 05:07:07 UTC
Setting release flags.

Comment 2 Stephen Wadeley 2016-08-13 18:52:36 UTC
Hello

We can add text to point out the base system is a client of Satellite Server and link to "Upgrading Satellite Clients"

= = = 

I am not happy with this text:


Before You Begin

    You must have upgraded your Satellite Server.

    You must have enabled the new Satellite Tools repositories on the Satellite.

    You must have synchronized the new repositories in the Satellite.

1] using "your" before the name of the product or application is not good. Also makes it more likely to confuse the application with the base system.

2] "on the Satellite" should be "in Satellite Server" I think. Again, we do not want to confuse the base system with the application running on it.

3] "in the Satellite" is not good. Name of application is proper noun, we should just say "in Satellite Server".

Comment 6 Steve Bream 2016-08-17 19:09:14 UTC
Hi Stephen,

The steps on the tools repo in "Registering Host Systems to a Capsule Server" I think are unavoidable. I suppose we could close the procedure before those steps and point users to the procedure for enabling repos, but I think that it's more appropriate to keep all of these steps together.

And as you say, Procedures 9.6 and 9.8 are identical. I think that the duplication is warranted just in case users come to these procedures out of order or on separate occasions. Let's keep them as they are for now.

For the last section "Registering a Satellite to Itself", in the installation guide we've described how to do these tasks from the command line, so I'd prefer not to link to the content on doing it from the UI until we've got a better grasp of how to provide these parallel paths.

So in sum, I think that for now this is all fine as it is.

Comment 7 Stephen Wadeley 2016-08-17 20:22:35 UTC
Hello Steve

Thank you for comment 6

I will put this on QA for Review by Ali then.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.